CC=clang
CFLAGS=-march=native -O3 -DNDEBUG

.phony: clean all

all: reverse_me decrypt

reverse_me: reverse_me.c aesni.s
	$(CC) -o $@ $(CFLAGS) $^
	sstrip reverse_me

decrypt: decrypt.c aesni_decrypt.s
	$(CC) -o $@ $(CFLAGS) $^

clean:
	rm -f reverse_me decrypt
	rm -f flag.enc
